/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.base;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.kernel.interfaces.IEditorBinding;

/**
 * Abstract class for editor bindings.
 * 
 * @author hoelzlf
 * @author $Author$
 * @version $Rev$
 * @levd.rating RED Rev:
 */
public abstract class EditorBindingBase<T extends EObject> implements
		IEditorBinding<EObject>, Comparable<IEditorBinding<EObject>> {

	/** {@inheritDoc} */
	@Override
	public final int compareTo(IEditorBinding<EObject> eb) {
		return eb.getPriority() - getPriority();
	}
}
